For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/site/sites

get

Get list of sites

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
site_typesstringOptional
deletedstringOptionalDefault: 0
programidintegerOptionalDefault: 0
linkdomainstringOptional
limitedstringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
get/api/site/sites
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'site_types' => '0,1,2',
		'deleted' => 1,
		'programid' => 2,
		'limited' => 1
	);

$request = array(
	'method' => 'GET',
	'path' => 'site/sites',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "sites": [
    {
      "siteid": "1",
      "site": "member_a",
      "deleted": "0",
      "name": "Membership Site A",
      "type": "0",
      "hidden": "0",
      "mobile_tour": "0",
      "info": {
        "tourid": "1",
        "tour": "MAIN",
        "siteid": "1",
        "name": "Default Tour",
        "url": "https://www.google.com",
        "linkdomain": "root.nats4.com",
        "description": "",
        "hidden": "0",
        "deleted": "0",
        "tour_type": "0"
      },
      "nats_default": "MC4wLjEuMS4wLjAuMC4wLjA",
      "type_nice": "Membership",
      "tours": [
        {
          "tourid": 1,
          "name": "Default Tour"
        }
      ],
      "tour_details": [
        {
          "tourid": "1",
          "tour": "MAIN",
          "siteid": "1",
          "name": "Default Tour",
          "url": "https://www.google.com",
          "linkdomain": "root.nats4.com",
          "description": "",
          "hidden": "0",
          "deleted": "0",
          "tour_type": "0"
        }
      ]
    }
  ]
}

Last updated

Was this helpful?